deque File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | _GLIBCXX_EXPERIMENTAL_DEQUE

## Typedefs

template<typename _Tp >
using | std::experimental::fundamentals_v2::pmr::deque = std::deque< _Tp, polymorphic_allocator< _Tp > >

## Functions

template<typename _Tp , typename _Alloc , typename _Up >
void | std::experimental::erase (deque< _Tp, _Alloc > &__cont, const _Up &__value)
template<typename _Tp , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (deque< _Tp, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/deque.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_DEQUE

#define _GLIBCXX_EXPERIMENTAL_DEQUE

Definition at line 31 of file experimental/deque.

## Typedef Documentation

## deque

template<typename _Tp >

using std::experimental::fundamentals_v2::pmr::deque = typedef std::deque<_Tp, polymorphic_allocator<_Tp> >

Definition at line 67 of file experimental/deque.